STRUCT SOCK_COMMON(9)

NAME
struct_sock_common - minimal network layer representation of sockets

SYNOPSIS

struct sock_common {
  union {unnamed_union};
  int skc_tx_queue_mapping;
  atomic_t skc_refcnt;
};

MEMBERS

{unnamed_union}
    anonymous

skc_tx_queue_mapping
    tx queue number for this connection

skc_refcnt
    reference count

DESCRIPTION

This is the minimal network layer representation of sockets, the header for struct sock and struct inet_timewait_sock.

COPYRIGHT